Subject: Re: 8250.c::autoconfig() fails loopback test on MPC824[15]

From: Segher Boessenkool <[email-masked]>
Date: Mon, 6 Aug 2007 21:15:34 +0200

> Another option altogether would be to allow the device node to
> specify the linux specific serial port flags in a separate property,
> like "linux,uart-port-flags" that contains the same flags that
> setserial can set from user space. That would also be useful
> if you want to specify UPF_MAGIC_MULTIPLIER on certain high-speed
> ports, because it cannot be autoprobed.

Such high-speed ports should simply use a proper "compatible"
entry.  Similarly with the problem at hand.

Segher